org.springframework.mock.web

## Class MockSessionCookieConfig

- java.lang.Object
- - org.springframework.mock.web.MockSessionCookieConfig

- All Implemented Interfaces:
    SessionCookieConfig

      public class MockSessionCookieConfig
      extends Object
      implements SessionCookieConfig

  Mock implementation of the `SessionCookieConfig` interface.
  Since:
    4.0
  Author:
    Juergen Hoeller
  See Also:
    `ServletContext.getSessionCookieConfig()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockSessionCookieConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComment()`
    `String` | `getDomain()`
    `int` | `getMaxAge()`
    `String` | `getName()`
    `String` | `getPath()`
    `boolean` | `isHttpOnly()`
    `boolean` | `isSecure()`
    `void` | `setComment(String comment)`
    `void` | `setDomain(String domain)`
    `void` | `setHttpOnly(boolean httpOnly)`
    `void` | `setMaxAge(int maxAge)`
    `void` | `setName(String name)`
    `void` | `setPath(String path)`
    `void` | `setSecure(boolean secure)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockSessionCookieConfig

          public MockSessionCookieConfig()

  - ### Method Detail

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `SessionCookieConfig`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `SessionCookieConfig`

    - #### setDomain

          public void setDomain(String domain)

      Specified by:
        `setDomain` in interface `SessionCookieConfig`

    - #### getDomain

          public String getDomain()

      Specified by:
        `getDomain` in interface `SessionCookieConfig`

    - #### setPath

          public void setPath(String path)

      Specified by:
        `setPath` in interface `SessionCookieConfig`

    - #### getPath

          public String getPath()

      Specified by:
        `getPath` in interface `SessionCookieConfig`

    - #### setComment

          public void setComment(String comment)

      Specified by:
        `setComment` in interface `SessionCookieConfig`

    - #### getComment

          public String getComment()

      Specified by:
        `getComment` in interface `SessionCookieConfig`

    - #### setHttpOnly

          public void setHttpOnly(boolean httpOnly)

      Specified by:
        `setHttpOnly` in interface `SessionCookieConfig`

    - #### isHttpOnly

          public boolean isHttpOnly()

      Specified by:
        `isHttpOnly` in interface `SessionCookieConfig`

    - #### setSecure

          public void setSecure(boolean secure)

      Specified by:
        `setSecure` in interface `SessionCookieConfig`

    - #### isSecure

          public boolean isSecure()

      Specified by:
        `isSecure` in interface `SessionCookieConfig`

    - #### setMaxAge

          public void setMaxAge(int maxAge)

      Specified by:
        `setMaxAge` in interface `SessionCookieConfig`

    - #### getMaxAge

          public int getMaxAge()

      Specified by:
        `getMaxAge` in interface `SessionCookieConfig`